package me.unurled.sacredrealms.sr;

import me.unurled.sacredrealms.sr.managers.Managers;
import org.bukkit.plugin.java.JavaPlugin;
import xyz.xenondevs.invui.InvUI;

public final class SR extends JavaPlugin {

  private static SR instance;
  private Managers managers;

  public static SR getInstance() {
    return instance;
  }

  @Override
  public void onEnable() {
    instance = this;

    InvUI.getInstance().setPlugin(this);

    managers = new Managers();
  }

  @Override
  public void onDisable() {
    managers.unload();
    managers = null;
  }

  public Managers getManagers() {
    return managers;
  }
}
