package me.unurled.sacredrealms.sr;

import io.papermc.paper.plugin.loader.PluginClasspathBuilder;
import io.papermc.paper.plugin.loader.PluginLoader;
import io.papermc.paper.plugin.loader.library.impl.MavenLibraryResolver;
import org.eclipse.aether.artifact.DefaultArtifact;
import org.eclipse.aether.graph.Dependency;
import org.eclipse.aether.repository.RemoteRepository;
import org.jetbrains.annotations.NotNull;

public class SRLoader implements PluginLoader {

  @Override
  public void classloader(@NotNull PluginClasspathBuilder classpathBuilder) {

    MavenLibraryResolver resolver = new MavenLibraryResolver();
    resolver.addDependency(
        new Dependency(new DefaultArtifact("xyz.xenondevs.invui:inventory-access-r20:1.32"), null));
    resolver.addDependency(
        new Dependency(new DefaultArtifact("xyz.xenondevs.invui:invui-core:1.32"), null));
    resolver.addRepository(
        new RemoteRepository.Builder("invui", "default", "https://repo.xenondevs.xyz/releases/")
            .build());
    classpathBuilder.addLibrary(resolver);
  }
}
